#! /bin/sh
### BEGIN INIT INFO
# Provides:          librework-proxy
# Required-Start:    $syslog $local_fs $remote_fs
# Required-Stop:     $syslog $local_fs $remote_fs
# Should-Start:      dbus
# Should-Stop:       dbus
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Librework proxy server
# Description:       Librework provides desktop over the network
### END INIT INFO

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/lwserver
NAME=haproxy
DESC="Librework proxy"

set -e

case "$1" in
  start)
        echo -n "Starting $DESC: "
        librework-proxy-update
        service $NAME start
        echo "Done."
        ;;
  stop)
        echo -n "Stopping $DESC: "
        service haproxy stop
        echo "Done."
        ;;
  force-reload)
        $0 stop
        $0 start
        ;;
  restart)
        $0 stop
        $0 start
        ;;
  status)
        RUNNING=`ps -ef | grep -w "${NAME}" | grep -v "grep"`
        if [ -n "${RUNNING}" ]
        then
                echo "$DESC is running."
                exit 0
        else
                echo "$DESC is not running."
                exit 1
        fi
        ;;
  *)
        echo "Usage: $0 {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0
